#
# gnupg -- gnu privacy guard
# This is a template.  The dist target uses it to create the real file.
#
%define version 1.0.4
%define name gnupg

Summary: GNU Utility for data encryption and digital signatures
Summary(it): Utility GNU per la sicurezza nelle comunicazioni e nell'archiviazione dei dati.
Summary(cs): GNU nstroj pro ifrovanou komunikaci a bezpen ukldn dat
Summary(fr): Utilitaire GNU de chiffrement et d'authentification des communications et des donnes
Summary(sk): GNU nstroj na ifrovanie dt a digitlne podpisy
Summary(pl): Narzedzie GNU do szyfrowania i podpisywania danych
Summary(es): Utilitario GNU para encriptacin y firmas digitales

Group: Applications/Cryptography
Group(cs): Aplikace/ifrovn
Group(fr): Applications/Cryptographie
Group(sk): Aplikcie/ifrovanie
Group(it): Applicazioni/Crittografia
Group(es): Aplicaciones/Criptografa

Name: %{name}
Version: %{version}
Release: 2
Copyright: GPL
Vendor: GNU Privacy Guard Project
URL: http://www.gnupg.org/
Provides: gpg openpgp

Source: ftp://ftp.gnupg.org/pub/gcrypt/%{name}-%{version}.tar.bz2
Patch: aes-warning.diff
Patch1: gnupg-1.0.4.security-patch1.diff
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA, patented worldwide).

%description -l it
GnuPG (GNU Privacy Guard)  una utility GNU per la cifratura di dati e
la creazione di firme digitali. Possiede una gestione avanzata delle
chiavi ed  conforme allo standard Internet OpenPGP, descritto nella
RFC 2440. Non utilizzando algoritmi brevettati, non  compatibile con
PGP2 (PGP2.x usa solo IDEA, coperto da brevetto mondiale). 
Questi algoritmi sono utilizzabili da GnuPG tramite moduli esterni.

%description -l fr
GnuPG est un utilitaire GNU destin  chiffrer des donnes et  crer
des signatures lectroniques. Il a des capacits avances de gestion de
cls et il est conforme  la norme propose OpenPGP dcrite dans la
RFC2440. Comme GnuPG n'utilise pas d'algorithme brevet, il n'est
compatible avec aucune version de PGP2 (PGP2.x ne sait utiliser que
l'IDEA brevet dans le monde entier)

%description -l cs
GnuPG je GNU nstroj pro bezpenou komunikaci a ukldn dat. Me bt
pouit na ifrovn dat a vytven digitlnch podpis. Obsahuje
funkce pro pokroilou sprvu kl a vyhovuje navrhovanmu OpenPGP
Internet standardu podle RFC2440. Byl vytvoen jako kompletn
nhrada za PGP. Protoe neobsahuje ifrovac algoritmy IDEA nebo RSA,
me bt pouvn bez omezen.
Protoe GnuPG nepouv dn patentovan algoritmus, neme bt pln
kompatibiln s PGP verze 2. PGP 2.x pouv algoritmy IDEA (patentovno
celosvtov).
Tyto algoritmy lze zavst do GnuPG pomoc externch modul.

%description -l sk
GnuPG (GNU Privacy Guard) je GNU nstroj na ifrovanie dt a vytvranie
digitlnych podpisov. GnuPG obsahuje funkcie na pokroil sprvu kov a   
vyhovuje navrhovanmu tandardu OpenPGP Internet poda RFC2440. Kee GnuPG 
nepouva iaden patentovan algoritmus, nie je kompatibiln so iadnou
verziou PGP2 (PGP 2.x pouva iba algoritmus IDEA, ktor je patentovan
celosvetovo).

%description -l pl
GnuPG (GNU Privacy Guard) jest nazedziem do szfrowania danych i tworzenia
cyfrowych podpisw. GnuPG posiada zaawansowane mozliwosci obslugi kluczy
i jest zgodne z OpenPGP, proponowanym standardem internetowym opisanym
w RFC2440. Poniewaz GnuPG nie uzywa zadnych opatentowanych algorytmw
nie jest wiec zgodne z jaka kolwiek wersja PGP2 (PGP2.x kozysta jedynie
z algorytmw: IDEA, opatentowanego na calym swiecie, oraz RSA, ktrego
patent na terenie Stanw Zjednoczonych wygasa 20 wrzesnia 2000).         

%description -l es
GnuPG (Gnu Privacy Guard) es un utilitario GNU para la encriptacin de datos
y el uso de firmas digitales. GnuPG provee avanzado manejo de claves y
cumple con el estndar de Internet propuesto OpenPGP como se describe en
RFC2440. Dado que GnuPG no usa algoritmos patentados, no es compatible con
ninguna versin de PGP2 (PGP2.x usa nicamente IDEA, patentado en todo el
mundo) 

%prep
%setup
%patch -p0
%patch1 -p1

%build
if test -n "$LINGUAS"; then
 unset LINGUAS
fi    
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT prefix="$RPM_BUILD_ROOT%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc INSTALL AUTHORS COPYING ChangeLog NEWS README THANKS TODO PROJECTS
%doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP
%doc g10/pubring.asc g10/OPTIONS

%{_mandir}/man1/gpg.1.*
%attr (4755,root,root) %{_bindir}/gpg

%{_datadir}/locale/*/*/%{name}.mo

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Wed Apr 11 2001 Peter Hanecak <hanecak@megaloman.sk>
- added gnupg-1.0.4.security-patch1.diff patch to avoid false positives
  from signature verification

* Thu Oct 19 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.4
- merged stuff from Fabio Coatti's <cova@ferrara.linux.it> 1.0.4-1 spec
  (pl and es spec translations, AES warning patch, ...)

* Fri Sep 22 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.3

* Mon Sep  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.2
- merged stuff from Fabio Coatti's <cova@ferrara.linux.it> 1.0.2-1 spec
- small spec improvements
- slovak translations in spec

* Tue Dec 28 1999 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.1
- source archive changed to .bz2
- CFLAGS

* Wed Sep  8 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 1.0.0
- little spec tweaks

* Thu May 06 1999 Fabio Coatti cova@felix.unife.it> 
- Upgraded for 0.9.6 (removed gpgm)

* Tue Jan 12 1999 Fabio Coatti <cova@felix.unife.it>
- LINGUAS variable is now unset in configure to ensure that all
  languages will be built. (Thanks to Luca Olivetti <luca@luca.ddns.org>)
 
* Sat Jan 02 1999 Fabio Coatti <cova@felix.unife.it>
- Added pl language file.
- Included g10/pubring.asc in documentation files.

* Sat Dec 19 1998 Fabio Coatti <cova@felix.unife.it>
- Modified the spec file provided by Caskey L. Dickson <caskey-at-technocage.com>
- Now it can be built also by non-root. Installation has to be done as
root, gpg is suid.
- Added some changes by  Ross Golder <rossigee@bigfoot.com>
- Updates for version 0.4.5 of GnuPG (.mo files)

